/* B.Jumblr
 * Pattern-controlled audio stream / sample re-sequencer LV2 plugin
 *
 * Copyright (C) 2018, 2019 by Sven Jähnichen
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 3, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software Foundation,
 * Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */

#ifndef NOTELIST
#define NOTELIST \
        {0, "0 - C-1"}, \
        {1, "1 - C#-1"}, \
        {2, "2 - D-1"}, \
        {3, "3 - D#-1"}, \
        {4, "4 - E-1"}, \
        {5, "5 - F-1"}, \
        {6, "6 - F#-1"}, \
        {7, "7 - G-1"}, \
        {8, "8 - G#-1"}, \
        {9, "9 - A-1"}, \
        {10, "10 - A#-1"}, \
        {11, "11 - B-1"}, \
        {12, "12 - C0"}, \
        {13, "13 - C#0"}, \
        {14, "14 - D0"}, \
        {15, "15 - D#0"}, \
        {16, "16 - E0"}, \
        {17, "17 - F0"}, \
        {18, "18 - F#0"}, \
        {19, "19 - G0"}, \
        {20, "20 - G#0"}, \
        {21, "21 - A0"}, \
        {22, "22 - A#0"}, \
        {23, "23 - B0"}, \
        {24, "24 - C1"}, \
        {25, "25 - C#1"}, \
        {26, "26 - D1"}, \
        {27, "27 - D#1"}, \
        {28, "28 - E1"}, \
        {29, "29 - F1"}, \
        {30, "30 - F#1"}, \
        {31, "31 - G1"}, \
        {32, "32 - G#1"}, \
        {33, "33 - A1"}, \
        {34, "34 - A#1"}, \
        {35, "35 - B1"}, \
        {36, "36 - C2"}, \
        {37, "37 - C#2"}, \
        {38, "38 - D2"}, \
        {39, "39 - D#2"}, \
        {40, "40 - E2"}, \
        {41, "41 - F2"}, \
        {42, "42 - F#2"}, \
        {43, "43 - G2"}, \
        {44, "44 - G#2"}, \
        {45, "45 - A2"}, \
        {46, "46 - A#2"}, \
        {47, "47 - B2"}, \
        {48, "48 - C3"}, \
        {49, "49 - C#3"}, \
        {50, "50 - D3"}, \
        {51, "51 - D#3"}, \
        {52, "52 - E3"}, \
        {53, "53 - F3"}, \
        {54, "54 - F#3"}, \
        {55, "55 - G3"}, \
        {56, "56 - G#3"}, \
        {57, "57 - A3"}, \
        {58, "58 - A#3"}, \
        {59, "59 - B3"}, \
        {60, "60 - C4"}, \
        {61, "61 - C#4"}, \
        {62, "62 - D4"}, \
        {63, "63 - D#4"}, \
        {64, "64 - E4"}, \
        {65, "65 - F4"}, \
        {66, "66 - F#4"}, \
        {67, "67 - G4"}, \
        {68, "68 - G#4"}, \
        {69, "69 - A4"}, \
        {70, "70 - A#4"}, \
        {71, "71 - B4"}, \
        {72, "72 - C5"}, \
        {73, "73 - C#5"}, \
        {74, "74 - D5"}, \
        {75, "75 - D#5"}, \
        {76, "76 - E5"}, \
        {77, "77 - F5"}, \
        {78, "78 - F#5"}, \
        {79, "79 - G5"}, \
        {80, "80 - G#5"}, \
        {81, "81 - A5"}, \
        {82, "82 - A#5"}, \
        {83, "83 - B5"}, \
        {84, "84 - C6"}, \
        {85, "85 - C#6"}, \
        {86, "86 - D6"}, \
        {87, "87 - D#6"}, \
        {88, "88 - E6"}, \
        {89, "89 - F6"}, \
        {90, "90 - F#6"}, \
        {91, "91 - G6"}, \
        {92, "92 - G#6"}, \
        {93, "93 - A6"}, \
        {94, "94 - A#6"}, \
        {95, "95 - B6"}, \
        {96, "96 - C7"}, \
        {97, "97 - C#7"}, \
        {98, "98 - D7"}, \
        {99, "99 - D#7"}, \
        {100, "100 - E7"}, \
        {101, "101 - F7"}, \
        {102, "102 - F#7"}, \
        {103, "103 - G7"}, \
        {104, "104 - G#7"}, \
        {105, "105 - A7"}, \
        {106, "106 - A#7"}, \
        {107, "107 - B7"}, \
        {108, "108 - C8"}, \
        {109, "109 - C#8"}, \
        {110, "110 - D8"}, \
        {111, "111 - D#8"}, \
        {112, "112 - E8"}, \
        {113, "113 - F8"}, \
        {114, "114 - F#8"}, \
        {115, "115 - G8"}, \
        {116, "116 - G#8"}, \
        {117, "117 - A8"}, \
        {118, "118 - A#8"}, \
        {119, "119 - B8"}, \
        {120, "120 - C9"}, \
        {121, "121 - C#9"}, \
        {122, "122 - D9"}, \
        {123, "123 - D#9"}, \
        {124, "124 - E9"}, \
        {125, "125 - F9"}, \
        {126, "126 - F#9"}, \
        {127, "127 - G9"}, \
        {128, "All"}
#endif /* NOTELIST */

#ifndef CCLIST
#define CCLIST \
        {0, "CC0 (Bank Selection)"}, \
        {1, "CC1 (Modulation)"}, \
        {2, "CC2 (Breath)"}, \
        {3, "CC3"}, \
        {4, "CC4 (Foot)"}, \
        {5, "CC5 (Portamento Time)"}, \
        {6, "CC6 (Data Entry)"}, \
        {7, "CC7 (Main Volume)"}, \
        {8, "CC8 (Balance)"}, \
        {9, "CC9"}, \
        {10, "CC10 (Panpot)"}, \
        {11, "CC11 (Expression)"}, \
        {12, "CC12 (Effect1)"}, \
        {13, "CC13 (Effect2)"}, \
        {14, "CC14"}, \
        {15, "CC15"}, \
        {16, "CC16 (General Purpose 1)"}, \
        {17, "CC17 (General Purpose 2)"}, \
        {18, "CC18 (General Purpose 3)"}, \
        {19, "CC19 (General Purpose 4)"}, \
        {20, "CC20"}, \
        {21, "CC21"}, \
        {22, "CC22"}, \
        {23, "CC23"}, \
        {24, "CC24"}, \
        {25, "CC25"}, \
        {26, "CC26"}, \
        {27, "CC27"}, \
        {28, "CC28"}, \
        {29, "CC29"}, \
        {30, "CC30"}, \
        {31, "CC31"}, \
        {32, "CC32 (Bank Selection)"}, \
        {33, "CC33 (Modulation)"}, \
        {34, "CC34 (Breath)"}, \
        {35, "CC35"}, \
        {36, "CC36 (Foot)"}, \
        {37, "CC37 (Portamento Time)"}, \
        {38, "CC38 (Data Entry)"}, \
        {39, "CC39 (Main Volume)"}, \
        {40, "CC40 (Balance)"}, \
        {41, "CC41"}, \
        {42, "CC42 (Panpot)"}, \
        {43, "CC43 (Expression)"}, \
        {44, "CC44 (Effect1)"}, \
        {45, "CC45 (Effect2)"}, \
        {46, "CC46"}, \
        {47, "CC47"}, \
        {48, "CC48 (General Purpose 1)"}, \
        {49, "CC49 (General Purpose 2)"}, \
        {50, "CC50 (General Purpose 3)"}, \
        {51, "CC51 (General Purpose 4)"}, \
        {52, "CC52"}, \
        {53, "CC53"}, \
        {54, "CC54"}, \
        {55, "CC55"}, \
        {56, "CC56"}, \
        {57, "CC57"}, \
        {58, "CC58"}, \
        {59, "CC59"}, \
        {60, "CC60"}, \
        {61, "CC61"}, \
        {62, "CC62"}, \
        {63, "CC63"}, \
        {64, "CC64 (Sustain Pedal)"}, \
        {65, "CC65 (Portamento)"}, \
        {66, "CC66 (Sostenuto)"}, \
        {67, "CC67 (Soft Pedal)"}, \
        {68, "CC68 (Leg. Foot Switch)"}, \
        {69, "CC69 (Hold2)"}, \
        {70, "CC70 (SC1 Sound Var.)"}, \
        {71, "CC71 (SC2 Timbre)"}, \
        {72, "CC72 (SC3 Release Time)"}, \
        {73, "CC73 (SC4 Attack Time)"}, \
        {74, "CC74 (SC5 Brightness)"}, \
        {75, "CC75 (SC6)"}, \
        {76, "CC76 (SC7)"}, \
        {77, "CC77 (SC8)"}, \
        {78, "CC78 (SC9)"}, \
        {79, "CC79 (SC10)"}, \
        {80, "CC80 (General Purpose 5)"}, \
        {81, "CC81 (General Purpose 6)"}, \
        {82, "CC82 (General Purpose 7)"}, \
        {83, "CC83 (General Purpose 8)"}, \
        {84, "CC84 (Portamento Ctrl.)"}, \
        {85, "CC85"}, \
        {86, "CC86"}, \
        {87, "CC87"}, \
        {88, "CC88"}, \
        {89, "CC89"}, \
        {90, "CC90"}, \
        {91, "CC91 (E1 Reverb Depth)"}, \
        {92, "CC92 (E2 Tremolo Depth)"}, \
        {93, "CC93 (E3 Chorus Depth)"}, \
        {94, "CC94 (E4 Detune Depth)"}, \
        {95, "CC95 (E5 Phaser Depth)"}, \
        {96, "CC96 (Data Increment)"}, \
        {97, "CC97 (Data Decrement)"}, \
        {98, "CC98 (Non-reg. Param. Nr.)"}, \
        {99, "CC99 (Non-reg. Param. Nr.)"}, \
        {100, "CC100 (Reg. Param. Nr.)"}, \
        {101, "CC101 (Reg. Param. Nr.)"}, \
        {102, "CC102"}, \
        {103, "CC103"}, \
        {104, "CC104"}, \
        {105, "CC105"}, \
        {106, "CC106"}, \
        {107, "CC107"}, \
        {108, "CC108"}, \
        {109, "CC109"}, \
        {110, "CC110"}, \
        {111, "CC111"}, \
        {112, "CC112"}, \
        {113, "CC113"}, \
        {114, "CC114"}, \
        {115, "CC115"}, \
        {116, "CC116"}, \
        {117, "CC117"}, \
        {118, "CC118"}, \
        {119, "CC119"}, \
        {120, "CC120 (All Sounds Off)"}, \
        {121, "CC121 (Reset Ctrls.)"}, \
        {122, "CC122 (Local Ctrl. Sw.)"}, \
        {123, "CC123 (All Notes Off)"}, \
        {124, "CC124 (Omni Off)"}, \
        {125, "CC125 (Omni On)"}, \
        {126, "CC126 (Mono1)"}, \
        {127, "CC127 (Mono2)"}, \
        {128, "All"}
#endif /* CCLIST */

#ifndef VALLIST
#define VALLIST \
        {0, "0"}, \
        {1, "1"}, \
        {2, "2"}, \
        {3, "3"}, \
        {4, "4"}, \
        {5, "5"}, \
        {6, "6"}, \
        {7, "7"}, \
        {8, "8"}, \
        {9, "9"}, \
        {10, "10"}, \
        {11, "11"}, \
        {12, "12"}, \
        {13, "13"}, \
        {14, "14"}, \
        {15, "15"}, \
        {16, "16"}, \
        {17, "17"}, \
        {18, "18"}, \
        {19, "19"}, \
        {20, "20"}, \
        {21, "21"}, \
        {22, "22"}, \
        {23, "23"}, \
        {24, "24"}, \
        {25, "25"}, \
        {26, "26"}, \
        {27, "27"}, \
        {28, "28"}, \
        {29, "29"}, \
        {30, "30"}, \
        {31, "31"}, \
        {32, "32"}, \
        {33, "33"}, \
        {34, "34"}, \
        {35, "35"}, \
        {36, "36"}, \
        {37, "37"}, \
        {38, "38"}, \
        {39, "39"}, \
        {40, "40"}, \
        {41, "41"}, \
        {42, "42"}, \
        {43, "43"}, \
        {44, "44"}, \
        {45, "45"}, \
        {46, "46"}, \
        {47, "47"}, \
        {48, "48"}, \
        {49, "49"}, \
        {50, "50"}, \
        {51, "51"}, \
        {52, "52"}, \
        {53, "53"}, \
        {54, "54"}, \
        {55, "55"}, \
        {56, "56"}, \
        {57, "57"}, \
        {58, "58"}, \
        {59, "59"}, \
        {60, "60"}, \
        {61, "61"}, \
        {62, "62"}, \
        {63, "63"}, \
        {64, "64"}, \
        {65, "65"}, \
        {66, "66"}, \
        {67, "67"}, \
        {68, "68"}, \
        {69, "69"}, \
        {70, "70"}, \
        {71, "71"}, \
        {72, "72"}, \
        {73, "73"}, \
        {74, "74"}, \
        {75, "75"}, \
        {76, "76"}, \
        {77, "77"}, \
        {78, "78"}, \
        {79, "79"}, \
        {80, "80"}, \
        {81, "81"}, \
        {82, "82"}, \
        {83, "83"}, \
        {84, "84"}, \
        {85, "85"}, \
        {86, "86"}, \
        {87, "87"}, \
        {88, "88"}, \
        {89, "89"}, \
        {90, "90"}, \
        {91, "91"}, \
        {92, "92"}, \
        {93, "93"}, \
        {94, "94"}, \
        {95, "95"}, \
        {96, "96"}, \
        {97, "97"}, \
        {98, "98"}, \
        {99, "99"}, \
        {100, "100"}, \
        {101, "101"}, \
        {102, "102"}, \
        {103, "103"}, \
        {104, "104"}, \
        {105, "105"}, \
        {106, "106"}, \
        {107, "107"}, \
        {108, "108"}, \
        {109, "109"}, \
        {110, "110"}, \
        {111, "111"}, \
        {112, "112"}, \
        {113, "113"}, \
        {114, "114"}, \
        {115, "115"}, \
        {116, "116"}, \
        {117, "117"}, \
        {118, "118"}, \
        {119, "119"}, \
        {120, "120"}, \
        {121, "121"}, \
        {122, "122"}, \
        {123, "123"}, \
        {124, "124"}, \
        {125, "125"}, \
        {126, "126"}, \
        {127, "127"}, \
        {128, "All"}
#endif /* VALLIST */
